Package org.drinkless.tdlib

# Class TdApi.MessageUpgradedGiftPurchaseOffer

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageUpgradedGiftPurchaseOffer

Enclosing class:
  `TdApi`

public static class TdApi.MessageUpgradedGiftPurchaseOffer extends TdApi.MessageContent
An offer to purchase an upgraded gift was sent or received.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `expirationDate`
  Point in time (Unix timestamp) when the offer will expire or has expired.
  `TdApi.UpgradedGift`
  `gift`
  The gift.
  `TdApi.GiftResalePrice`
  `price`
  The proposed price.
  `TdApi.GiftPurchaseOfferState`
  `state`
  State of the offer.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageUpgradedGiftPurchaseOffer()`
  An offer to purchase an upgraded gift was sent or received.
  `MessageUpgradedGiftPurchaseOffer(TdApi.UpgradedGift gift, TdApi.GiftPurchaseOfferState state, TdApi.GiftResalePrice price, int expirationDate)`
  An offer to purchase an upgraded gift was sent or received.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### gift

    public TdApi.UpgradedGift gift
    The gift.

  - ### state

    public TdApi.GiftPurchaseOfferState state
    State of the offer.

  - ### price

    public TdApi.GiftResalePrice price
    The proposed price.

  - ### expirationDate

    public int expirationDate
    Point in time (Unix timestamp) when the offer will expire or has expired.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageUpgradedGiftPurchaseOffer

    public MessageUpgradedGiftPurchaseOffer()
    An offer to purchase an upgraded gift was sent or received.

  - ### MessageUpgradedGiftPurchaseOffer

    public MessageUpgradedGiftPurchaseOffer(TdApi.UpgradedGift gift, TdApi.GiftPurchaseOfferState state, TdApi.GiftResalePrice price, int expirationDate)
    An offer to purchase an upgraded gift was sent or received.
    Parameters:
      `gift` - The gift.
      `state` - State of the offer.
      `price` - The proposed price.
      `expirationDate` - Point in time (Unix timestamp) when the offer will expire or has expired.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR